BOSCO_CLUSTER(1)

NAME
bosco_cluster - HTCondor Manual

Manage and configure the clusters to be accessed. bosco_cluster bosco_cluster command

SYNOPSIS

bosco_cluster [-h || --help]

bosco_cluster [-l || --list] [-a || --add <host> [schedd]] [-r || --remove <host>] [-s || --status <host>] [-t || --test <host>]

DESCRIPTION

bosco_cluster is part of the Bosco system for accessing high throughput computing resources from a local desktop. For detailed information, please see the Bosco web site: https://osg-bosco.github.io/docs/

bosco_cluster enables management and configuration of the computing resources the Bosco tools access; these are called clusters.

A <host> is of the form user@fqdn.example.com.

OPTIONS

-help
    Print usage information and exit.

-list
    List all installed clusters.

-remove <host>
    Remove an already installed cluster, where the cluster is identified by <host>.

-add <host> [scheduler]
    Install and add a cluster defined by <host>. The optional scheduler specifies the scheduler on the cluster. Valid values are pbs, lsf, condor, sge or slurm. If not given, the default will be pbs.

-status <host>
    Query and print the status of an already installed cluster, where the cluster is identified by <host>.

-test <host>
    Attempt to submit a test job to an already installed cluster, where the cluster is identified by <host>.

AUTHOR
HTCondor Team

COPYRIGHT
1990-2020, Center for High Throughput Computing, Computer Sciences Department, University of Wisconsin-Madison, Madison, WI, US. Licensed under the Apache License, Version 2.0.